httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Guenter Knauf <fua...@apache.org>
Subject Re: svn commit: r832496 - in /httpd/httpd/trunk/modules/ssl: ssl_toolkit_compat.h ssl_util_stapling.c
Date Tue, 03 Nov 2009 19:47:39 GMT
Hi Sander,
sctemme@apache.org schrieb:
> Author: sctemme
> Date: Tue Nov  3 18:19:33 2009
> New Revision: 832496
> 
> URL: http://svn.apache.org/viewvc?rev=832496&view=rev
> Log:
> We now check for OCSP support in configure, so we can lose an OpenSSL version
> number check.  Use a type safe STACK.
I was just discussing this with Ruediger, and I introduced the version
number check because this also works with non-configure platforms like
NetWare and Win32; it would be better to remove the configure check,
though we were unsure if something else might use HAVE_OCSP (though I
doubt); if we like to stay with the configure check for whatever reason
then please lets do:

#ifndef HAVE_OCSP
#if OPENSSL_VERSION_NUMBER >= 0x00907000
#define HAVE_OCSP
#include <openssl/x509_vfy.h>
#include <openssl/ocsp.h>
#endif
#endif

thanks, Gün.



Mime
View raw message